Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Java Object Cache API Reference 10g Release 3 (10.1.3) B25712-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.cache
Class AggregateStatus

`java.lang.Object
oracle.ias.cache.AggregateStatus`

public class AggregateStatus
extends java.lang.Object

The AggregateStatus class provides an encapsulation of the aggregate runtime status for objects in the cache. The low, average, and high values are calculated for each region and group in the cache, as well as for the entire cache. The status is accessible from the CacheAccess.getAggregateStatus method and is available to the CapacityPolicy.policy method.

Since:
  9.0.4
See Also:
  `CacheAccess`, `CapacityPolicy`, `ObjectStatus`

Field Summary
`static int` | `AVG` index for the average value for the indicated statistic in the cache, group or region
`static int` | `HIGH` index for the high value for the indicated statistic in the cache, group or region
`static int` | `LOW` index for the low value for the indicated statistic in the cache, group or region

Method Summary
`long` | `getAccessCount(int index)` returns the aggregate access count value indicated by the index parameter The getAccessCount Method will return the aggregate value of access count for the group or region.
`long` | `getCreateTime(int index)` returns the aggregate create time value indicated by the index parameter The getCreateTime Method will return the aggregate value of create time for the group or region.
`AggregateStatus` | `getDiskStatus()` returns the aggregate status for disk objects contained in the region including objects in nested groups and subRegions Since disk object are consuming different resources from in memory objects the aggregregation of disk objects is managed separately.
`long` | `getLastAccessTime(int index)` returns the aggregate last access time value indicated by the index parameter The getLastAccessTime Method will return the aggregate value of last access time for the group or region.
`long` | `getLoadTime(int index)` returns the aggregate load time value indicated by the index parameter The getLoadTime Method will return the aggregate value of load time for the group or region.
`int` | `getObjectCount()` returns the current total count of objects for this cache, group, or region including objects in nested groups and subRegions
`long` | `getPriority(int index)` returns the aggregate priority value indicated by the index parameter.
`long` | `getSize(int index)` returns the aggregate object size value indicated by the index parameter The getSize Method will return the aggregate value of object size for the group or region.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOW

    public static final int LOW

  index for the low value for the indicated statistic in the cache, group or region
  See Also:
    Constant Field Values

### AVG

    public static final int AVG

  index for the average value for the indicated statistic in the cache, group or region
  See Also:
    Constant Field Values

### HIGH

    public static final int HIGH

  index for the high value for the indicated statistic in the cache, group or region
  See Also:
    Constant Field Values

Method Detail

### getPriority

    public long getPriority(int index)

  returns the aggregate priority value indicated by the index parameter.

  The getPriority Method will return the aggregate value of priority for the group or region. The values available are high, low or average.

  Parameters:
    `index` - the aggregate type index `LOW`, `AVG`, or `HIGH`
  Since:
    9.0.4

### getAccessCount

    public long getAccessCount(int index)

  returns the aggregate access count value indicated by the index parameter

  The getAccessCount Method will return the aggregate value of access count for the group or region. The values available are high, low or average.

  Parameters:
    `index` - the aggregate type index `LOW`, `AVG`, or `HIGH`
  Since:
    9.0.4

### getSize

    public long getSize(int index)

  returns the aggregate object size value indicated by the index parameter

  The getSize Method will return the aggregate value of object size for the group or region. The values available are high, low or average.

  Parameters:
    `index` - the aggregate type index `LOW`, `AVG`, or `HIGH`
  Since:
    9.0.4

### getLastAccessTime

    public long getLastAccessTime(int index)

  returns the aggregate last access time value indicated by the index parameter

  The getLastAccessTime Method will return the aggregate value of last access time for the group or region. The values available are high, low or average.

  Parameters:
    `index` - the aggregate type index `LOW`, `AVG`, or `HIGH`
  Since:
    9.0.4

### getLoadTime

    public long getLoadTime(int index)

  returns the aggregate load time value indicated by the index parameter

  The getLoadTime Method will return the aggregate value of load time for the group or region. The values available are high, low or average.

  Parameters:
    `index` - the aggregate type index `LOW`, `AVG`, or `HIGH`
  Since:
    9.0.4

### getCreateTime

    public long getCreateTime(int index)

  returns the aggregate create time value indicated by the index parameter The getCreateTime Method will return the aggregate value of create time for the group or region. The values available are high, low or average.
  Returns:
    the aggregate create time value indicated by the index parameter name
  Since:
    9.0.4

### getObjectCount

    public int getObjectCount()

  returns the current total count of objects for this cache, group, or region including objects in nested groups and subRegions
  Returns:
    A count of objects in the region
  Since:
    9.0.4

### getDiskStatus

    public AggregateStatus getDiskStatus()

  returns the aggregate status for disk objects contained in the region including objects in nested groups and subRegions Since disk object are consuming different resources from in memory objects the aggregregation of disk objects is managed separately. If an object is resident both in memory and on disk it will be included in both aggregations.
  Returns:
    the aggregate status of disk objects in the region
  Since:
    10.1.3

### toString

    public java.lang.String toString()

Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Java Object Cache API Reference 10g Release 3 (10.1.3) B25712-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.